
rbd - Feature #2558

cls_rbd: child/parent methods

06/12/2012 01:54 PM - Sage Weil

Status: Resolved % Done: 0%

Priority: Normal Spent time: 0.00 hour

Assignee: Sage Weil   

Category:    

Target version: v0.49   

Source:  Reviewed:  

Tags:  Affected Versions:  

Backport:  Pull request ID:  

Description

On the new image header:

- set_parent(poolid, image (maybe id, maybe name), snapid)

On the per-pool child list:

- add child (parent_pool, parent_id_or_name, parent_snapid, child_image_id_or_name)

- remove child (parent_pool, parent_id_or_name, parent_snapid, child_image_id_or_name)

History

#1 - 06/12/2012 02:05 PM - Sage Weil

- Category set to librbd

#2 - 06/12/2012 02:42 PM - Sage Weil

- Description updated

#3 - 06/12/2012 02:45 PM - Sage Weil

- translation missing: en.field_position deleted (5)

- translation missing: en.field_position set to 20

#4 - 06/13/2012 02:16 PM - Sage Weil

- translation missing: en.field_story_points set to 3

- translation missing: en.field_position deleted (31)

- translation missing: en.field_position set to 31

#5 - 06/13/2012 02:30 PM - Sage Weil

- Target version set to v0.49

- translation missing: en.field_position deleted (31)

- translation missing: en.field_position set to 1316

#6 - 06/13/2012 03:44 PM - Josh Durgin

- Description updated

#7 - 06/14/2012 04:21 PM - Sage Weil

- Assignee set to Sage Weil

#8 - 06/15/2012 10:44 AM - Sage Weil

- Status changed from New to Fix Under Review
#9 - 06/15/2012 10:44 AM - Sage Weil

wip-clsrbd

#10 - 06/19/2012 04:20 PM - Sage Weil

- Status changed from Fix Under Review to Resolved

#11 - 06/29/2012 09:48 AM - Sage Weil

- Project changed from Ceph to rbd

- Category deleted (librbd)

#12 - 06/29/2012 09:52 AM - Sage Weil

- Target version deleted (v0.49)

#13 - 06/29/2012 09:54 AM - Sage Weil

- Target version set to v0.49
